---
title: Open Source
suppress_header: true
extra_css:
  - open-source.css
extra_js:
  - open-source.js
  - libs/tweenmax.min.js
---

.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg" }
  .header-content
    %img{ src: "/images/icons/explore-open-source.svg" }
    %h1 Explore Open Source
    %p Everyone can contribute
    %a.btn.cta-btn.accent{ href: "https://gitlab.com/users/sign_in" } Sign up for GitLab
.content-container
  .content.tile
    %p
      Open source software is a great way to learn new skills and hone existing ones, while perfecting products that are used and loved by millions around the world. Open source inspires us in a way that nothing else quite does.
      %a{ href: "/history" } Dmitriy
      needed a tool to help his own team collaborate better, so he
      %a{ href: "/company/team/#dzaporozhets" } created GitLab
      as an open source project from his home in Kharkiv, Ukraine.
    %p
      Seven years later, we reached 2,000
      %a{ href: "http://contributors.gitlab.com/", target: "_blank" } contributors,
      and we’re the proud home of hundreds of thousands of public projects built by
      %a{ href: "/community" } our incredible community.
      Now, we’re removing the barrier to entry for newcomers by offering a single tool, simplified workflow, and slick onboarding experience.
    %p
      To stay true to our mission of being good
      %a{ href: "/stewardship" } open source stewards,
      public projects on GitLab.com
      %a{ href: "/2018/06/05/gitlab-ultimate-and-gold-free-for-education-and-open-source/" } get access
      to our
      %a{ href: "/pricing/#gitlab-com" } highest tier of features
      for free, plus 50,000 free CI pipeline minutes.
    %p
      %a{ href: "https://gitlab.com/gitlab-com/gitlab-oss#open-source-projects-using-gitlab-ultimate-or-gold" } See which Open Source projects are already using the free Ultimate or Gold subscription
  .content
    %h2 GitLab OSS - Ultimate or Gold for open source projects
    %p GitLab exists today in large part thanks to the work of hundreds of thousands of open source contributors around the world. To give back to this community that gives us so much, we want to help teams be more efficient, secure, and productive. We believe the best way for them to achieve this is by using as many of the capabilities of GitLab as possible.
    %p It has already been the case for years that any public project on GitLab.com gets all Gold features. We are happy to now offer a complimentary license to GitLab Ultimate (self-managed) or subscription to GitLab Gold (SaaS) to all open source projects.
    %p
      Any project that uses an OSI-approved open source license and which does not seek to make a profit from the resulting project software may apply (
      %a{ href: "/terms/#edu-oss" } full OSS terms
      ).

    %h3 How to apply
    %ol
      %li
        Create a MR to add your project to a list of
        %a{ href: "https://gitlab.com/gitlab-com/gitlab-oss", target: "_blank" } GitLab Ultimate or Gold Open Source Projects
      %li Fill out the form below
      %br
    %p Once you sign the quote that you'll receive shortly, the EULA will be automatically sent to the email you enter in the application form. When you accept it, you’ll receive the license key (for Ultimate), or further instructions on how to authenticate your groups (for Gold).
    %p These licenses need to be renewed annually.
    %p The number of seats - the number of different users that will use this license in the next year
    
    %h3 Questions?
    %p
      If you have any other questions regarding the GitLab Open Source Program, feel free to reach us at
      %a{ href: "mailto:opensource@gitlab.com", target: "_blank" } opensource@gitlab.com

    %script{src: "//app-ab13.marketo.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1675
    :javascript
      MktoForms2.loadForm("//app-ab13.marketo.com", "194-VVC-221", 1675, function(form) {
        form.onSuccess(function() {
          form.getFormElem().hide();
          $('.confirmform').attr('style', 'visibility: visible');
          return false;
        });
      });
    .confirmform{style: "visibility:hidden;"}
      %h3 Submission received!
      %p We will be intouch soon.
    %br/
    %br/
    
    %p Marketo forms might not render properly in Firefox, so please disable tracking protection for about.gitlab.com on the Firefox URL bar if you can't see the form.

  .content.spotlight
    %h2.margin-bottom30 FOSS Spotlight: Gnome
    %iframe{ src: "https://www.youtube.com/embed/v6GTrbfe9xk", allowfullscreen: "" }
  .content.quote
    %blockquote
      .blockquote-background#blockquote-background
      .flex-container.flex-column
        %p "Free software really democratizes things and allows more people to contribute to solving the world's problems."
        %p.author
          Nuritzi Sanchez
          %br President, Board of Directors, GNOME
  .content.popular-projects
    %h2.margin-bottom30 Popular projects
    .flex-container
      %a.tile.tile-animated{ href: "https://gitlab.com/inkscape/inkscape", target: "_blank" }
        %img.tile-logo{ src: "/images/open-source/inkscape-logo.svg" }
        .tile-content
          %h3 Inkscape
          %p View the project on GitLab
      %a.tile.tile-animated{ href: "https://gitlab.com/fdroid/fdroidclient", target: "_blank" }
        %img.tile-logo{ src: "/images/open-source/fdroid-logo.svg" }
        .tile-content
          %h3 Fdroid
          %p View the project on GitLab
      %a.tile.tile-animated{ href: "https://gitlab.com/mailman/mailman", target: "_blank" }
        %img.tile-logo{ src: "/images/open-source/mailman-logo.png" }
        .tile-content
          %h3 Mailman
          %p View the project on GitLab
  .content.tweets
    %h2.margin-bottom30 What people are saying
    .flex-container
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Gnome has moved to Gitlab!
          %a{:href => "https://t.co/SqvJ8w6tXl"} https://t.co/SqvJ8w6tXl
          %br/
          = succeed "It's" do
            %br/
        — Wilfred Hughes (@_wilfredh)
        %a{:href => "https://twitter.com/_wilfredh/status/1002284495775682560?ref_src=twsrc%5Etfw"} May 31, 2018
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Great to see Inkscape, the superb
          %a{:href => "https://twitter.com/hashtag/FOSS?src=hash&ref_src=twsrc%5Etfw"} #FOSS
          vector drawing app, doing the ethically consistent thing - moving to Gitlab.
          %a{:href => "https://t.co/7KiTNV2JcJ"} https://t.co/7KiTNV2JcJ
        — Dave Lane (@lightweight)
        %a{:href => "https://twitter.com/lightweight/status/874381422567407616?ref_src=twsrc%5Etfw"} June 12, 2017
      %blockquote.twitter-tweet{"data-lang" => "en"}
        %p{:dir => "ltr", :lang => "en"}>
          Mass projects migration test to
          %a{:href => "https://twitter.com/gitlab?ref_src=twsrc%5Etfw"} @gitlab
          has been successful, we are now ready for a full switch by next week!
          %a{:href => "https://t.co/VnuU13Q8Jc"} https://t.co/VnuU13Q8Jc
        — Carlos Soriano (@csoriano1618)
        %a{:href => "https://twitter.com/csoriano1618/status/998301363321876480?ref_src=twsrc%5Etfw"} May 20, 2018
      %script{:async => "", :charset => "utf-8", :src => "https://platform.twitter.com/widgets.js"}
  .content.opensource-get-started
    %h2 Get Started
    %p.margin-bottom30 We think there’s something magical about building free software with free software.
    .flex-container
      %a.tile.tile-animated{ href: "/community" }
        %img.tile-icon.margin-bottom30{ src: "/images/icons/solid-icons/community-icon.svg" }
        .tile-content
          %h3 Community Resources
      %a.tile.tile-animated{ href: "https://gitlab.com/explore/projects/starred", target: "_blank" }
        %img.tile-icon.margin-bottom30{ src: "/images/icons/solid-icons/trending-icon.svg" }
        .tile-content
          %h3 Trending Projects
    .flex-container
      %a.tile.tile-animated{ href: "https://gitlab.com/gitlab-org/gitlab-development-kit/", target: "_blank" }
        %img.tile-icon.margin-bottom30{ src: "/images/downloads/logo.svg" }
        .tile-content
          %h3 GitLab Development Kit
      %a.tile.tile-animated{ href: "/2017/11/01/gitlab-switches-to-dco-license" }
        %img.tile-icon.margin-bottom30{ src: "/images/icons/solid-icons/docs-icon.svg" }
        .tile-content
          %h3 Why we switched to DCO

  .container
    %h2.faq-title.light.text-center
      Frequently Asked Questions
    .faq-holder.clearfix
      %ol.faq-container.list-unstyled
        %li.faq-item
          .faq-inner-item
            %a.faq-question.js-faq-question{ href: "#" }
              Do I have to apply for every OSS project separately?
              %i.fa.fa-angle-down.pull-right
            .faq-answer
              %p The subscription is going to be for a group, so only one application will be enough. Apply with your most representative project.
        %li.faq-item
          .faq-inner-item
            %a.faq-question.js-faq-question{ href: "#" }
              Can I use this license for my non-open source projects as well?
              %i.fa.fa-angle-down.pull-right
            .faq-answer
              %p No. The GitLab license can be used only for the open source projects it was approved for.
      %ol.faq-container.list-unstyled
        %li.faq-item
          .faq-inner-item
            %a.faq-question.js-faq-question{ href: "#" }
              What is the benefit for hosted projects on GitLab.com?
              %i.fa.fa-angle-down.pull-right
            .faq-answer
              %p While all public projects hosted on GitLab.com have access to <a href="https://about.gitlab.com/pricing/#gitlab-com">Gold</a> features at the project level for free, this does not include group-level features.
              %p The Open Source license provides the additional ability to use Gold group-level features (e.g. Epics, Roadmap).
